package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStorePromChnlEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店推广渠道Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
public interface MkStorePromChnlService {

    /**
     * 根据主键查询实体
     *
     * @param promChnlId 主键
     * @return 实体
     */
    MkStorePromChnlEntity queryObject(Integer promChnlId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStorePromChnlEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStorePromChnl 实体
     * @return 保存条数
     */
    int save(MkStorePromChnlEntity mkStorePromChnl);

    /**
     * 根据主键更新实体
     *
     * @param mkStorePromChnl 实体
     * @return 更新条数
     */
    int update(MkStorePromChnlEntity mkStorePromChnl);

    /**
     * 根据主键删除
     *
     * @param promChnlId
     * @return 删除条数
     */
    int delete(Integer promChnlId);

    /**
     * 根据主键批量删除
     *
     * @param promChnlIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] promChnlIds);
}
